# How to Use curl

All of the examples in ShipStation's documentation include an example [curl](https://curl.haxx.se) command. A free, [open source](https://github.com/curl/curl), command-line tool, curl's already installed on most operating systems.

To see if you already have curl installed, open your terminal and type `curl --version`. If it's installed, you'll see the version number and which features are enabled.

## Learning Resources

You can find a ton of great resources within [curl's own documentation](https://curl.haxx.se/docs/), including [this excellent scripting tutorial](https://curl.haxx.se/docs/httpscripting.html). In addition, Nordic APIs has an informative guide to some of [curl's hidden powers](https://nordicapis.com/understanding-the-hidden-powers-of-curl/).

## Running curl Examples in Terminal

Since curl is already installed on most computers, you can copy a code sample right from our docs and paste it into your terminal to send a request to the ShipStation API.

Give it a try with this sample that lists your carriers:


```bash
curl -iX GET https://api.shipstation.com/v2/carriers \
-H 'API-Key: __YOUR_API_KEY_HERE__'
```

TIP
Replace `__YOUR_API_KEY_HERE__` with your own key. See [Security & Authentication](/authentication) to find out how to obtain one.

## Running curl Examples in Postman

If you're not comfortable using curl in the terminal, or if you just prefer GUI apps instead, then [Postman](https://www.getpostman.com/downloads/) is a great choice. Postman even allows you to import curl commands so you can copy any curl samples in ShipStation's documentation (such as the one above) and paste them into Postman.

### Step 1: Import curl

Click the *Import* button in the Postman toolbar to open the Import dialog window.

In the Import window, click the *Paste Raw Text* tab, which will show you a large textbox where you can paste a curl command.

After pasting the curl command, click the *Import* button at the bottom of the dialog window and Postman will automatically convert the curl command into a Postman request.

### Step 2: Send the Request

Importing the curl command will create a new Request tab in the main Postman window. The Request will already be filled-in with the URL, headers, query parameters, request body, and other information from the curl command. All you need to do is click **Send**.

The response will display on the right-hand side or on the bottom half of the screen, depending on whether you have Postman configured in a vertical or horizontal layout.

TIP
You can also skip the import step entirely by using our official [Postman Collection](/apis/docs/getting-started/postman), which already has every ShipStation API V2 endpoint ready to go.